<?php


return  
    [
        'model' => [
            'model' => \Litecms\Advertisement\Models\Advertisement::class,
            'repository' => \Litecms\Advertisement\Repositories\Eloquent\AdvertisementRepository::class,
            'table' => 'advertisements',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'client_id',  'category_id',  'type',  'slug',  'title',  'details',  'price',  'images',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'advertisement/advertisement',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "client_id" => [
                "key" => "client_id", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.client_id', 
                'sort' => true,
                'roles' => [],
            ],
            "category_id" => [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            "type" => [
                "key" => "type", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            "title" => [
                "key" => "title", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            "details" => [
                "key" => "details", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.details', 
                'sort' => true,
                'roles' => [],
            ],
            "price" => [
                "key" => "price", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            "images" => [
                "key" => "images", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.images', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'client_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.client_id',
                "placeholder" => 'advertisement::advertisement.placeholder.client_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.category_id',
                "placeholder" => 'advertisement::advertisement.placeholder.category_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.type',
                "placeholder" => 'advertisement::advertisement.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.title',
                "placeholder" => 'advertisement::advertisement.placeholder.title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'details' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.details',
                "placeholder" => 'advertisement::advertisement.placeholder.details',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.price',
                "placeholder" => 'advertisement::advertisement.placeholder.price',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => 'advertisement::advertisement.label.images',
                "placeholder" => 'advertisement::advertisement.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'advertisement/advertisement/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'advertisement/advertisement/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'advertisement/advertisement',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'advertisement/advertisement',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'advertisement/advertisement',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'advertisement/advertisement',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'advertisement::advertisement.label.created_at',
            'name' => 'advertisement::advertisement.label.name',
            'status' => 'advertisement::advertisement.label.status',
        ],
        'groups' => [
            'main' => 'advertisement::advertisement.groups.main',
            'details' => 'advertisement::advertisement.groups.details',
            'images' => 'advertisement::advertisement.groups.images',
            'settings' => 'advertisement::advertisement.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Advertisement',
            'module' => 'Advertisement',
        ],
    ];
