<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAdvertisementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: advertisements
         */
        Schema::create('advertisements', function ($table) {
            $table->increments('id');
            $table->integer('client_id')->nullable();
            $table->enum('category_id', [])->nullable();
            $table->enum('type', [])->nullable();
            $table->string('slug', 100)->nullable();
            $table->string('title', 100)->nullable();
            $table->text('details')->nullable();
            $table->integer('price')->nullable();
            $table->text('images')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('advertisements');
    }
}
